[PC-BSD Testing] libxml2

Mike Barnard mike.barnardq at gmail.com
Thu Jan 9 06:23:02 PST 2014


Re-installing qt4-webkit solved the problem (it caused a reinstallation of
all the qt related libraries that still depended on libxml2.so.5). It turns
out that dependency on libxml2.so.5 was the cause of the problem after a
package caused an upgrade of libxml2-2.8.0 to libxml2-2.9.1



On 9 January 2014 10:49, Mike Barnard <mike.barnardq at gmail.com> wrote:

> Hi
>
> I am facing an interesting problem. KDE will not log in. It starts to load
> and immediately goes back to the login screen.
>
> Fluxbox logs in with no problem. When I try to startkde4 in fluxbox, I get
> an error that libxml2.so.5 is missing and is required by a host of other
> libraries.
>
> Retracing my steps, libxml2 was reinstalled and upgraded when I installed
> libreoffice, just before shutting down my laptop.
>
> If I symlink libxml2.so.5 to libxml2.so.2, KDE can finally work although
> the run application dialog box crashes.
>
> The pkg-plist of libxml2 shows that libxml2.so.5 is among the libraries it
> installs, but for some reason the libxml2 package on pkg.cdn.pcbsd.orgdoes not have libxml2.so.5.
>
> Is there a way I can get this library installed again?
>
>
> --
> Mike
>
> Of course, you might discount this possibility, but remember that one in a
> million chances happen 99% of the time.
> ------------------------------------------------------------
>



-- 
Mike

Of course, you might discount this possibility, but remember that one in a
million chances happen 99% of the time.
------------------------------------------------------------
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.pcbsd.org/pipermail/testing/attachments/20140109/f20f8da4/attachment.html>


More information about the Testing mailing list